### Class

# Dex AsyncResult

unstable since: 1

#### Description [src]

    final class Dex.AsyncResult : GObject.Object
      implements Gio.AsyncResult {
      /* No available fields */
    }

`DexAsyncResult` is used to integrate a `DexFuture` with `GAsyncResult`.

Use this class when you need to expose the traditional async/finish behavior of `GAsyncResult`.

Available since: 1

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GAsyncResult

#### Constructors

###### dex_async_result_new

No description available.

unstable since: 1

#### Instance methods

###### dex_async_result_await

Tracks the result of `future` and uses the value to complete `async_result`, eventually calling the registered `GAsyncReadyCallback`.

unstable since: 1

###### dex_async_result_dup_future

Gets the future for the `DexAsyncResult`, or `NULL` if a future is not available.

unstable since: 1

###### dex_async_result_get_name

No description available.

unstable since: 1

###### dex_async_result_propagate_boolean

No description available.

unstable since: 1

###### dex_async_result_propagate_double

No description available.

unstable since: 1

###### dex_async_result_propagate_int

No description available.

unstable since: 1

###### dex_async_result_propagate_pointer

No description available.

unstable since: 1

###### dex_async_result_set_name

No description available.

unstable since: 1

###### dex_async_result_set_priority

No description available.

unstable since: 1

###### dex_async_result_set_static_name

No description available.

unstable since: 1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GAsyncResult (4)

###### g_async_result_get_source_object

Gets the source object from a `GAsyncResult`.

unstable since: 2.0

###### g_async_result_get_user_data

Gets the user data from a `GAsyncResult`.

unstable since: 2.0

###### g_async_result_is_tagged

Checks if `res` has the given `source_tag` (generally a function pointer indicating the function `res` was created by).

unstable since: 2.34

###### g_async_result_legacy_propagate_error

If `res` is a `GSimpleAsyncResult`, this is equivalent to g_simple_async_result_propagate_error(). Otherwise it returns `FALSE`.

unstable since: 2.34

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct DexAsyncResultClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.